Get

  • GET
  • /workspaces
  • /:workspace
  • /members
  • /:member_id

Get a specific workspace member by ID

Request

REQUIRED SCOPES
WORKSPACE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

member_idrequiredinteger
The ID of the member

Example: 216

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The ID of the user
namestring
The name of the user
avatar_urlstring
The avatar URL of the user
emailstring
The email address of the user
adminboolean
Whether the user has admin privileges
workspace_ownerboolean
Whether the user is workspace owner
auto_assign_to_new_projectsboolean
Whether user is automatically assigned to new projects
auto_assign_permission_set_idinteger
ID of permission set to automatically assign to new projects

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/members/:member_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-company/members/1", "html_url": "https://app.buddy.works/my-company/-/profile/1", "id": 1, "name": "John Doe", "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/0/0/1/d643744fbe5ebf2906a4d075a5b97110/w/32/32/AVATAR.png", "email": "john@example.com", "admin": true, "workspace_owner": true, "auto_assign_to_new_projects": true, "auto_assign_permission_set_id": 1 }
STATUS
200 OK